summaryrefslogtreecommitdiffstats
path: root/network/AdGuardHome/AdGuardHome.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/AdGuardHome/AdGuardHome.SlackBuild')
-rw-r--r--network/AdGuardHome/AdGuardHome.SlackBuild22
1 files changed, 9 insertions, 13 deletions
diff --git a/network/AdGuardHome/AdGuardHome.SlackBuild b/network/AdGuardHome/AdGuardHome.SlackBuild
index b7414400de..85e19365bc 100644
--- a/network/AdGuardHome/AdGuardHome.SlackBuild
+++ b/network/AdGuardHome/AdGuardHome.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for AdGuardHome
-# Copyright 2019-2020, Alexander Verbovetsky, Moscow, Russia
+# Copyright 2019-2021, Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,14 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=AdGuardHome
-VERSION=${VERSION:-0.102.0}
+VERSION=${VERSION:-0.105.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
- arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -40,16 +39,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SUFFIX="linux_386"
-elif [ "$ARCH" = "x86_64" ]; then
- SUFFIX="linux_amd64"
-elif [ "$ARCH" = "arm" ]; then
- SUFFIX="linux_arm"
-else
- echo "$ARCH is not supported." >&2
- exit 1
-fi
+case "$ARCH" in
+ i?86) SUFFIX="linux_386" ;;
+ x86_64) SUFFIX="linux_amd64" ;;
+ *) echo "$ARCH is not supported." >&2
+ exit 1
+ ;;
+esac
set -e